Skip to main content
`Ctrl`+`K`

# LuptonAsinhZscaleStretch

class astropy.visualization.LuptonAsinhZscaleStretch(image, Q=8, pedestal=None)

  Bases: `LuptonAsinhStretch`

  A modified asinh stretch, where the linear stretch is calculated using zscale.

  The stretch is given by:

  \[\begin{split}& y = {\rm asinh}\left(\frac{Q * x}{stretch}\right) * \frac{frac}{{\rm asinh}(frac * Q)} \\ & frac = 0.1 \\ & stretch = z2 - z1\end{split}\]
  Parameters:
    image1 `ndarray` or numpy:array_like

      The image to analyse, or a list of 3 images to be converted to an intensity image.

    Q `python:float`, optional

      The asinh softening parameter. `Q` must be greater than 0. Default is 8.

    pedestal or numpy:array_like, optional

      The value, or array of 3 values, to subtract from the images(s) before determining the zscaling. Default is None (nothing subtracted).

  Attributes Summary

  `inverse` | A stretch object that performs the inverse operation.

  Methods Summary

  `__call__`(values[, clip, out]) | Transform values using this stretch.

  Attributes Documentation

  inverse

    A stretch object that performs the inverse operation.

  Methods Documentation

  __call__(values, clip=False, out=None)

    Transform values using this stretch.

    Parameters:
      values numpy:array_like

        The input values, which should already be normalized to the [0:1] range.

      clip bool, optional

        If `True` (default), values outside the [0:1] range are clipped to the [0:1] range.

      out `ndarray`, optional

        If specified, the output values will be placed in this array (typically used for in-place calculations).

    Returns:
      result `ndarray`

        The transformed values.